import { BaseChatModel } from "@langchain/core/language_models/chat_models";
import { AbstractLLMProvider, ModelConfig } from "./langChainBaseProvider.js";
export declare class LangChainGoogleGenAiProvider extends AbstractLLMProvider {
    constructor(modelName: string, config: ModelConfig);
    getModel(): BaseChatModel;
}
